package com.zcloud.service.bus;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：代理人创建公司数量
 * 作者：luoxiaobao
 * 时间：2022-03-07
 * 官网：www.zcloudchina.com
 */
public interface AgentNumberService {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception;

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception;

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception;

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception;

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listRoleAgentAll(PageData pd)throws Exception;

	/**查询代理人所有分组可创建企业数
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> getRoleAgentNumList(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception;

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByRoleAgent(PageData pd)throws Exception;

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception;

	/**删除某代理所有剩余创建企业数
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByUser(PageData pd)throws Exception;

	/**剩余数量及删除状态
	 * @param pd
	 * @throws Exception
	 */
	public void editNum(PageData pd)throws Exception;
}

